// -*- C++ -*-
//
// generated by wxGlade
//
// Example for compiling a single file project under Linux using g++:
//  g++ MyApp.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp
//
// Example for compiling a multi file project under Linux using g++:
//  g++ main.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp Dialog1.cpp Frame1.cpp
//

#include "bug183.h"

// begin wxGlade: ::extracode
// end wxGlade



Bug183_UI_Frame::Bug183_UI_Frame(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxFrame(parent, id, title, pos, size, style)
{
    // begin wxGlade: Bug183_UI_Frame::Bug183_UI_Frame
    label_1 = new wxStaticText(this, wxID_ANY, _("Just a label"));

    set_properties();
    do_layout();
    // end wxGlade
}


void Bug183_UI_Frame::set_properties()
{
    // begin wxGlade: Bug183_UI_Frame::set_properties
    SetTitle(_("frame_1"));
    // end wxGlade
}


void Bug183_UI_Frame::do_layout()
{
    // begin wxGlade: Bug183_UI_Frame::do_layout
    wxBoxSizer* sizer_1 = new wxBoxSizer(wxVERTICAL);
    sizer_1->Add(label_1, 1, wxALL|wxEXPAND, 5);
    SetSizer(sizer_1);
    sizer_1->Fit(this);
    Layout();
    // end wxGlade
}


Bug173_UI_SomeDialog::Bug173_UI_SomeDialog(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, style)
{
    // begin wxGlade: Bug173_UI_SomeDialog::Bug173_UI_SomeDialog
    label_2 = new wxStaticText(this, wxID_ANY, _("Just another label"));

    set_properties();
    do_layout();
    // end wxGlade
}


void Bug173_UI_SomeDialog::set_properties()
{
    // begin wxGlade: Bug173_UI_SomeDialog::set_properties
    SetTitle(_("dialog_1"));
    // end wxGlade
}


void Bug173_UI_SomeDialog::do_layout()
{
    // begin wxGlade: Bug173_UI_SomeDialog::do_layout
    wxBoxSizer* sizer_2 = new wxBoxSizer(wxHORIZONTAL);
    sizer_2->Add(label_2, 1, wxALL|wxEXPAND, 5);
    SetSizer(sizer_2);
    sizer_2->Fit(this);
    Layout();
    // end wxGlade
}


class MyApp: public wxApp {
public:
    bool OnInit();
protected:
    wxLocale m_locale;  // locale we'll be using
};

IMPLEMENT_APP(MyApp)

bool MyApp::OnInit()
{
    m_locale.Init();
#ifdef APP_LOCALE_DIR
    m_locale.AddCatalogLookupPathPrefix(wxT(APP_LOCALE_DIR));
#endif
    m_locale.AddCatalog(wxT(APP_CATALOG));

    wxInitAllImageHandlers();
    Bug183_UI_Frame* Frame183 = new Bug183_UI_Frame(NULL, wxID_ANY, wxEmptyString);
    SetTopWindow(Frame183);
    Frame183->Show();
    return true;
}
